PostMethodTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net.httpclient

## Class PostMethodTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.net.httpclient.AbstractMethodTask
      - - net.sf.antcontrib.net.httpclient.PostMethodTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PostMethodTask
      extends AbstractMethodTask

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PostMethodTask.FilePartType`
    `static class` | `PostMethodTask.TextPartType`

    - ### Nested classes/interfaces inherited from class net.sf.antcontrib.net.httpclient.AbstractMethodTask

      `AbstractMethodTask.ResponseHeader`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostMethodTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredFile(PostMethodTask.FilePartType file)`
    `void` | `addConfiguredParameter(org.apache.commons.httpclient.NameValuePair pair)`
    `void` | `addConfiguredText(PostMethodTask.TextPartType text)`
    `protected void` | `cleanupResources(org.apache.commons.httpclient.HttpMethodBase method)`
    `protected void` | `configureMethod(org.apache.commons.httpclient.HttpMethodBase method)`
    `protected org.apache.commons.httpclient.HttpMethodBase` | `createNewMethod()`
    `void` | `setContentChunked(boolean contentChunked)`
    `void` | `setMultipart(boolean multipart)`
    `void` | `setParameters(java.io.File parameters)`

    - ### Methods inherited from class net.sf.antcontrib.net.httpclient.AbstractMethodTask

      `addConfiguredHeader, addConfiguredHttpClient, addConfiguredParams, addConfiguredResponseHeader, createMethodIfNecessary, execute, setClientRefId, setDoAuthentication, setFollowRedirects, setPath, setQueryString, setResponseDataFile, setResponseDataProperty, setStatusCodeProperty, setURL`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostMethodTask

          public PostMethodTask()

  - ### Method Detail

    - #### addConfiguredFile

          public void addConfiguredFile(PostMethodTask.FilePartType file)

    - #### setMultipart

          public void setMultipart(boolean multipart)

    - #### addConfiguredText

          public void addConfiguredText(PostMethodTask.TextPartType text)

    - #### setParameters

          public void setParameters(java.io.File parameters)

    - #### createNewMethod

          protected org.apache.commons.httpclient.HttpMethodBase createNewMethod()

      Specified by:
        `createNewMethod` in class `AbstractMethodTask`

    - #### addConfiguredParameter

          public void addConfiguredParameter(org.apache.commons.httpclient.NameValuePair pair)

    - #### setContentChunked

          public void setContentChunked(boolean contentChunked)

    - #### configureMethod

          protected void configureMethod(org.apache.commons.httpclient.HttpMethodBase method)

      Overrides:
        `configureMethod` in class `AbstractMethodTask`

    - #### cleanupResources

          protected void cleanupResources(org.apache.commons.httpclient.HttpMethodBase method)

      Overrides:
        `cleanupResources` in class `AbstractMethodTask`